petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSwarmSortGetNumberOfPointsPerCell

Returns the number of points in a cell

### Synopsis

    PetscErrorCode DMSwarmSortGetNumberOfPointsPerCell(DM dm,PetscInt e,PetscInt *npoints)

Not collective

### Input parameters

| dm | - a DMSwarm objects
| e | - the index of the cell
| npoints | - the number of points in the cell

### Notes

You must call DMSwarmSortGetAccess() before you can call DMSwarmSortGetNumberOfPointsPerCell()

### See Also

DMSwarmSetType(), DMSwarmSortGetAccess(), DMSwarmSortGetPointsPerCell()

### Level

advanced

### Location

src/dm/impls/swarm/swarmpic_sort.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages